Önemli: PHP 5.2.7 ve phpBB 2.0.x

İlk mesajınızı göndermeden önce bu forumu ve kurallarımızı okuyun!

Moderatör: Genel Destek Ekibi

Cevapla
Kullanıcı avatarı
ESQARE
Site Yöneticisi
Site Yöneticisi
Mesajlar: 4557
Kayıt: 18.09.2005, 21:51
İletişim:

Önemli: PHP 5.2.7 ve phpBB 2.0.x

Mesaj gönderen ESQARE » 08.12.2008, 22:32

phpBB Grubu tarafından yapılan duyuruya göre;

PHP Grubu PHP 5.2.7 sürümünü geri çekmiştir. PHP 5.2.7 sürümünde bulunan bir güvenlik açığı yüzünden phpBB2 kurulmuş siteler için büyük bir tehlike oluşmaktadır. Bu sorun phpBB3 yazılımı içinde kozmetik (dış görünüm) problemler oluşturabilir.

Eğer daha önce bu sürüme (PHP 5.2.7) güncelleme yaptıysanız, php.ini dosyanızın içerisinden "magic_quotes_gpc" ayarını kapalı (off) duruma getirin ve PHP 5.2.8 sürümü çıkar çıkmaz hemen PHP sürümünüzü güncelleyin.

phpBB Türkiye
Resim
phpBB Eklenti Kurulumu | Kurallar | phpBB3 İzinleri | Otel Rehberi

Kurallarımız gereği lütfen özel mesaj ile yardım istemeyiniz, cevap vermiyoruz.

Kullanıcı avatarı
Özcan Akbulut
Kayıtlı Kullanıcı
Mesajlar: 2422
Kayıt: 14.06.2008, 17:52
Konum: Nürnberg
İletişim:

Re: Önemli: PHP 5.2.7 ve phpBB 2.0.x

Mesaj gönderen Özcan Akbulut » 08.12.2008, 22:43

peki bu sürüm nerden güncelleniyor host firmasi yapmiyormu yani ordan ayarli olmuyormu bu :?
Werbeagentur Nürnberg | Özcan Akbulut

Başlangiç Bilgileri phpBB 3.0.x :: 3.1.x

Kullanıcı avatarı
ESQARE
Site Yöneticisi
Site Yöneticisi
Mesajlar: 4557
Kayıt: 18.09.2005, 21:51
İletişim:

Re: Önemli: PHP 5.2.7 ve phpBB 2.0.x

Mesaj gönderen ESQARE » 08.12.2008, 22:53

Bu düzenlemeleri sadece sunucu sahipleri yapabilirler, hosting firmasına bağlı olanlar ise sunucuda kullanılan PHP sürümünü hosting firmasından öğrenip bu konu hakkında bilgileri yoksa onları bilgilendirebilirler.
Resim
phpBB Eklenti Kurulumu | Kurallar | phpBB3 İzinleri | Otel Rehberi

Kurallarımız gereği lütfen özel mesaj ile yardım istemeyiniz, cevap vermiyoruz.

Kullanıcı avatarı
VSaBaH
Eklenti Destek Ekibi Üyesi
Eklenti Destek Ekibi Üyesi
Mesajlar: 2492
Kayıt: 09.02.2006, 17:58
Konum: Denizli
İletişim:

Re: Önemli: PHP 5.2.7 ve phpBB 2.0.x

Mesaj gönderen VSaBaH » 09.12.2008, 00:57

Bilgilendirmeler için teşekkürler. Gerçekten önemli bir konu.

Bu arada php sürümünü kontrol etmek isteyen arkadaşlar şu yolu deneyebilirler;

:arrow: Ekte verilen dosyayı zipten çıkartıp, forumunuzun kök (root) klasörüne yükleyiniz.
:arrow: Daha sonra dosyayı http://www.sitenizadresi.com/phpinfo.php yoluyla çalıştırınız.
:arrow: En üstte php sürümünüzü öğrenebilirsiniz.

ÖNEMLİ!
Lütfen işlem tamamlandıktan sonra yüklediğiniz phpinfo.php dosyasını siliniz.
Dosya ekleri
phpinfo.zip
(139 Byte) 832 kere indirildi

Kullanıcı avatarı
Özcan Akbulut
Kayıtlı Kullanıcı
Mesajlar: 2422
Kayıt: 14.06.2008, 17:52
Konum: Nürnberg
İletişim:

Re: Önemli: PHP 5.2.7 ve phpBB 2.0.x

Mesaj gönderen Özcan Akbulut » 09.12.2008, 01:13

VSabaH sizede tesekkür ediyorum bunun icin ama YKP den bakilabiliyor yani phpbb3 de php bilgisi var ben ordan baktim sizin verdiginiz dosyayi indirdim attim ayni sürüm cikti yani YKPden´de bakiliyor :D
Werbeagentur Nürnberg | Özcan Akbulut

Başlangiç Bilgileri phpBB 3.0.x :: 3.1.x

Kullanıcı avatarı
VSaBaH
Eklenti Destek Ekibi Üyesi
Eklenti Destek Ekibi Üyesi
Mesajlar: 2492
Kayıt: 09.02.2006, 17:58
Konum: Denizli
İletişim:

Re: Önemli: PHP 5.2.7 ve phpBB 2.0.x

Mesaj gönderen VSaBaH » 09.12.2008, 01:19

EsmerÖzcan yazdı:VSabaH sizede tesekkür ediyorum bunun icin ama YKP den bakilabiliyor yani phpbb3 de php bilgisi var ben ordan baktim sizin verdiginiz dosyayi indirdim attim ayni sürüm cikti yani YKPden´de bakiliyor :D
O da mümkün :) Hatta her türlü kontrol panelinden de bunu rahatlıkla öğrenebilirsiniz zaten. (cPanel, plesk vs...)

NOT: Bazı sunucular phpinfo() sorgusunun çalıştırılmasına izin vermiyor. O gibi durumlarda YKP'den ve bu koddan o bilgileri almak mümkün olmayabilir.

RastaN
Kayıtlı Kullanıcı
Mesajlar: 32
Kayıt: 29.07.2008, 06:14
İletişim:

Re: Önemli: PHP 5.2.7 ve phpBB 2.0.x

Mesaj gönderen RastaN » 09.12.2008, 04:31

Merhabalar, bir şey sormak istiyorum.

Şimdi baktım, hostta 5.2.6 kullanılıyor. ( phpbb Sürüm 3.2 ) Ancak geçtiğimiz hafta içinde iki-üç gün üstüste ve değişik saatlerde kullandığım hostta database problemi yaşandı. Zaman zaman database e erişilemedi ve forum hata verdi.
Yeni bir şey yüklemediğim veya silmediğim için benden kaynaklanmadığını düşünüyorum. Ama bayağı bir tedirgin etti. Son iki-üç gündür ise düzeldi.

Bu problem böyle bir soruna da neden olmuş olabilir mi?
2 mi güzel-3 mü Özel? Anlamadım ben bunu?

Kullanıcı avatarı
pikachu
Kayıtlı Kullanıcı
Mesajlar: 3038
Kayıt: 16.07.2006, 16:32
Konum: ağandon /

Re: Önemli: PHP 5.2.7 ve phpBB 2.0.x

Mesaj gönderen pikachu » 09.12.2008, 15:59

hosttan kaynaklı genel bir sorundur büyük ihtimalle, hostların direkt güncelleme yapacağını ve hata tespitinden sonra eski sürüme geri döneceklerini sanmıyorum, büyük ihtimalle haberleri bile yoktur. :D

Kullanıcı avatarı
ESQARE
Site Yöneticisi
Site Yöneticisi
Mesajlar: 4557
Kayıt: 18.09.2005, 21:51
İletişim:

Re: Önemli: PHP 5.2.7 ve phpBB 2.0.x

Mesaj gönderen ESQARE » 10.12.2008, 02:36

Bu arada PHP 5.2.8 sürümü de yayınlandı: http://www.php.net/archive/2008.php#id2008-12-08-1

Güncelleme yapılabilir.
Resim
phpBB Eklenti Kurulumu | Kurallar | phpBB3 İzinleri | Otel Rehberi

Kurallarımız gereği lütfen özel mesaj ile yardım istemeyiniz, cevap vermiyoruz.

Cevapla

“Duyurular” sayfasına dön

Kimler çevrimiçi

Bu forumu görüntüleyen kullanıcılar: Hiç bir kayıtlı kullanıcı yok ve 1 misafir